/**
   This program runs two threads in parallel.
*/
public class ThreadTester
{
   public static void main(String[] args)
   {
      BoundedQueue<String> queue = new BoundedQueue<String>(10);
      final int COUNT = 10;
      Runnable run1 = new Producer("Yin", queue, COUNT);
      Runnable run2 = new Producer("Yang", queue, COUNT);
      Runnable run3 = new Consumer(queue, 2 * COUNT);
      
      Thread thread1 = new Thread(run1);
      Thread thread2 = new Thread(run2);
      Thread thread3 = new Thread(run3);

      thread1.start();
      thread2.start();
      thread3.start();
   }
}

