public class BoundedQueue {
    private String[] elements;
    private int front, rear, numItems;
    
    public BoundedQueue(int capacity)    {
        elements = new String[capacity];
        for (int i=0; i<capacity; i++)
            elements[i] = "G" + i;
        front = numItems = 0; rear = -1;
    }
    public String remove() {
        String r = elements[front];
        front = (front+1)%elements.length;
        numItems--;
        return r;
    }
    public void add(String newValue) {
        rear = (rear+1)%elements.length;
        elements[rear] = newValue;
        numItems++;
    }
    public boolean isFull() {  return numItems == elements.length; }
    public boolean isEmpty() {  return numItems == 0;  }
    
}
